/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at https://mozilla.org/MPL/2.0/.
 */

#pragma once

#include <string>

namespace OpenVulkano::Scene
{
	class Geometry;
	class MeshLoader
	{
		static void ParseAssimpFile(Geometry *geometry, const std::string& file);
		static void ParseUSDFile(Geometry *geometry, const std::string& file);
	public:
		static Geometry* LoadFromFile(const std::string& file);
	};
}